Public Member Functions | Private Attributes | List of all members
libvisio::VSDOpenSpanOutputElement Class Reference
Inheritance diagram for libvisio::VSDOpenSpanOutputElement:

## Public Member Functions
| VSDOpenSpanOutputElement (const librevenge::RVNGPropertyList &propList)
| ~VSDOpenSpanOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
VSDOutputElement * | clone () override
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## ◆ VSDOpenSpanOutputElement()

libvisio::VSDOpenSpanOutputElement::VSDOpenSpanOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by clone().

## ◆ ~VSDOpenSpanOutputElement()

libvisio::VSDOpenSpanOutputElement::~VSDOpenSpanOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

VSDOutputElement* libvisio::VSDOpenSpanOutputElement::clone | ( |  | ) |
| inline override virtual

Implements libvisio::VSDOutputElement.

## ◆ draw()

void libvisio::VSDOpenSpanOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

## ◆ m_propList

librevenge::RVNGPropertyList libvisio::VSDOpenSpanOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp